SolrQuery::setTimeAllowed
SolrException::getInternalInfo
Solr
PHP Manual

# The SolrException class

(PECL solr >= 0.9.2)

## Introduction

This is the base class for all exception thrown by the Solr extension classes.

## Class synopsis

SolrException extends Exception {
/* Properties */
protected integer $sourceline ;
protected string $sourcefile ;
protected string $zif_name ;
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Methods */
public array getInternalInfo ( void )
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public mixed Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

## Properties

sourceline

  The line in c-space source file where exception was generated

sourcefile

  The c-space source file where exception was generated

zif_name

  The c-space function where exception was generated

## Table of Contents

- SolrException::getInternalInfo — Returns internal information where the Exception was thrown

SolrQuery::setTimeAllowed
SolrException::getInternalInfo
Solr
PHP Manual